@import "taxonomies/dewey";

[data-controller="taxonomy"] {
    height: 100%;
    overflow: hidden auto;
    scrollbar-color: var(--incommon-clear85) var(--incommon-blue);
    scrollbar-width: thin;

    nav {
        position: relative;
        bottom: 0;
        margin: 0;
        padding: 0;
        height: calc(100% - 7.5rem);
        padding-top: 32px;
        max-width: 35rem;
        width: 89vw;

        display: none;
    }
    &.on {
        nav {
            display: block;
        }
    }
}

button[data-action="taxonomy#toggle"] {
    position: absolute;
    left: 0.7rem;
    display: block;
    cursor: pointer;
    padding: 16px;
    color: transparent;
    background: transparent var(--icon-menu-off) top left/32px no-repeat;
    border: none;
    text-align: center;
    z-index: 1002;

    &.on {
        background-image: var(--icon-menu-on);
    }
}

